#pragma once

namespace game {

class HealthBar
{
private:
    int health;
    int healthDiff;

    float effectTime;

    const int maxHealth = 100;
    const int alarmHealth = 25;
public:

    void Reset(int health);
    void SetHealth(int health);

    void Update();
    void Render();
};

}
